Bug 39102 - Object anchor displayed outside the page area
Summary: Object anchor displayed outside the page area
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.1 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Object
  Show dependency treegraph
 
Reported: 2011-07-09 13:43 UTC by OfficeUser
Modified: 2019-12-04 04:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
issue.odt (9.58 KB, application/vnd.oasis.opendocument.text)
2011-07-09 13:43 UTC, OfficeUser
Details
writer.png (35.66 KB, image/png)
2011-07-09 13:44 UTC, OfficeUser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description OfficeUser 2011-07-09 13:43:18 UTC
Created attachment 48924 [details]
issue.odt

Please open the attached document. Select the red rectangle. You can see that the anchor is displayed outside of the page area. (I also have attached a screen shot.)
Comment 1 OfficeUser 2011-07-09 13:44:06 UTC
Created attachment 48925 [details]
writer.png
Comment 2 Björn Michaelsen 2011-12-23 12:22:00 UTC Comment hidden (obsolete)
Comment 3 OfficeUser 2011-12-24 06:44:15 UTC
Still present in
LOdev 3.5.0 
Build-ID: 7362ca8-b5a8e65-af86909-d471f98-61464c4
Comment 4 A (Andy) 2013-12-28 16:18:02 UTC
By selecting the anchor you can move him inside the page (reproducible with LO 4.1.4.2 [Win8]). 
Could you please give more information how to reproduce this issue. If it is not reproducible with the latest release of LO then I would propose to close it.
Comment 5 OfficeUser 2014-01-11 17:29:56 UTC
Bug is still present in version 4.1.1.2.

"Could you please give more information how to reproduce this issue."
==> Not really. Just do like described in the initial comment.
Comment 6 OfficeUser 2014-01-11 17:30:45 UTC
Changed bug to NEW.
Comment 7 Joel Madero 2015-05-02 15:42:10 UTC Comment hidden (obsolete)
Comment 8 OfficeUser 2015-05-02 16:00:26 UTC
Bug is still present in...

Version: 4.4.1.2
Build-ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Gebietsschema: de_DE
Comment 9 Gordo 2015-06-17 14:59:36 UTC
1. New Text Document.
2. Set Zoom to Page Width.
3. From toolbar select Basic Shapes -> Rectangle.
4. Draw it.
5. Right click on shape -> Anchor To Character.
6. With shape selected so that the anchor is visible, hold down ctrl and use the mouse wheel to zoom out.
Result:
Anchor is outside page.

Anchor is absolute position instead of relative?

Windows Vista 64
Version: 4.4.4.2
Build ID: f784c932ccfd756d01b70b6bb5e09ff62e1b3285
Comment 10 QA Administrators 2016-09-20 10:02:00 UTC Comment hidden (obsolete)
Comment 11 OfficeUser 2016-09-24 19:46:00 UTC
I still see the bug with build 5.2.1.2. (Tested OS: Linux)
Comment 12 OfficeUser 2016-09-24 20:05:19 UTC
I'm rather sure that this bug has been introduced with the centered page view in OpenOffice.org.
Comment 13 Xisco Faulí 2016-09-28 15:50:13 UTC
Please don't add the keyword 'regression' if the bug is inherited from OOo
Comment 14 Xisco Faulí 2016-09-28 15:55:16 UTC
Hello OfficeUser,
Have you checked that this bug is already reproducible in Libreoffice 3.3?
Comment 15 OfficeUser 2016-10-02 09:55:54 UTC
No.
Comment 16 QA Administrators 2017-10-23 14:14:06 UTC Comment hidden (obsolete)
Comment 17 OfficeUser 2017-11-01 10:15:19 UTC
Bug still present in:

Version: 5.4.2.2
Build-ID: 1:5.4.2~rc2-0ubuntu0.14.04.1~lo1
CPU-Threads: 8; Betriebssystem:Linux 4.4; UI-Render: Standard; VCL: gtk2; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group
Comment 18 Ekansh Jha 2017-12-01 08:37:39 UTC
I want to work on this issue. Please tell me the path to this file.
Comment 19 QA Administrators 2018-12-03 03:58:50 UTC Comment hidden (obsolete)
Comment 20 OfficeUser 2018-12-03 09:05:42 UTC
Still reproducible with Version: 6.1.3.2


Please stop flooding issues with these kind of messages!
Comment 21 QA Administrators 2019-12-04 04:21:49 UTC
Dear OfficeUser,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug